Payment Status
GET
/api/fx/payments/{paymentId}/status
Code sample: Shell / cURL
curl --request GET \ --url https://api.ztlpay.io/api/fx/payments/example/status \ --header 'Authorization: Bearer <token>'International payment status inquiry.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”paymentId
required
string
PaymentId for the payment
Responses
Section titled “Responses”Successfully confirmed payment
Media typeapplication/json
object
status
required
The current payment status
string
message
A technical message describing the current status reason (optional - normally not included). This message is not intended for end users.
string
Example
{ "status": "Created", "message": "Technical error."}Payment with given paymentId was not found